%define upstream_name    Expect
%define upstream_version 1.38

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Expect for Perl
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Expect/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     %{name}-paths.patch

BuildRequires: perl(Carp)
BuildRequires: perl(Errno)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Pty) >= 1.110.0
BuildRequires: perl(IO::Tty) >= 1.110.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 1.0.0
BuildArch:  noarch

%description
The Expect module is a successor of Comm.pl and a descendent of Chat.pl. It
more closely resembles the Tcl Expect language than its predecessors. It does
not contain any of the networking code found in Comm.pl. I suspect this would
be obsolete anyway given the advent of IO::Socket and external tools such as
netcat.

Expect.pm is an attempt to have more of a switch() & case feeling to make
decision processing more fluid. Three separate types of debugging have been
implemented to make code production easier.

It is now possible to interconnect multiple file handles (and processes) much
like Tcl's Expect. An attempt was made to enable all the features of Tcl's
Expect without forcing Tcl on the victim programmer :-) .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch -P 0 -p1
perl -pi -e 's|/usr/local/bin/perl|%{__perl}|' examples/kibitz/kibitz

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/*.pm
%{_mandir}/*/*

%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.380.0-2.mga10
+ Revision: 2128026
- Rebuild for patchN deprecation

* Mon Mar 11 2024 tv <tv> 1.380.0-1.mga10
+ Revision: 2049149
- update to 1.38

* Mon Feb 26 2024 tv <tv> 1.360.0-1.mga10
+ Revision: 2044367
- update to 1.36

* Sun Mar 20 2022 umeabot <umeabot> 1.350.0-6.mga9
+ Revision: 1809279
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.350.0-5.mga8
+ Revision: 1504407
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.350.0-4.mga7
+ Revision: 1283635
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 tv <tv> 1.350.0-3.mga7
+ Revision: 1241741
- add more BRs, especially for testsuite

* Mon Oct 02 2017 tv <tv> 1.350.0-2.mga7
+ Revision: 1164306
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.350.0-1.mga7
+ Revision: 1154258
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1.320.0-3.mga6
+ Revision: 1027059
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.320.0-2.mga6
+ Revision: 966862
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.320.0-1.mga6
+ Revision: 846988
- update to 1.32

* Wed Oct 15 2014 umeabot <umeabot> 1.310.0-3.mga5
+ Revision: 744290
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.310.0-2.mga5
+ Revision: 684664
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 1.310.0-1.mga5
+ Revision: 671391
- update to 1.31

* Fri Oct 18 2013 umeabot <umeabot> 1.210.0-5.mga4
+ Revision: 511399
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-4.mga3
+ Revision: 366999
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.210.0-3.mga1
+ Revision: 32748
- rebuild
- mageia rebuild

* Thu Jan 20 2011 erwan <erwan> 1.210.0-2.mga1
+ Revision: 27553
- Removing useless macro
+ jquelin <jquelin>
- imported package perl-Expect

